@echo off
REM ############################################################
REM ## Copyright (c) 2007-2010 - OpenSmartHome.com - WOSH
REM ## All rights reserved.
REM ##  open source, founded by Alessandro Polo
REM ##  http://www.OpenSmartHome.com
REM ##  http://www.AlessandroPolo.name
REM ############################################################
REM ## This script (re)builds WOSH 3rd party libraries
REM ## Requirements:
REM ##  - Microsoft Visual Studio 2005-2008 (8.0,9.0)
REM ############################################################
REM #                                              CONFIGURATION

set ROOT=..

:config
REM ############################################################

if not "%VSINSTALLDIR%"=="" goto devenv

if not "%VS80COMNTOOLS%"=="" call "%VS80COMNTOOLS%vsvars32.bat"
if not "%VS90COMNTOOLS%"=="" call "%VS90COMNTOOLS%vsvars32.bat"

REM ############################################################
:devenv

if exist "%VS80COMNTOOLS%..\IDE\VCExpress.*" set DEVENV="%VS80COMNTOOLS%..\IDE\VCExpress"
if exist "%VS90COMNTOOLS%..\IDE\VCExpress.*" set DEVENV="%VS90COMNTOOLS%..\IDE\VCExpress"

if exist "%VS80COMNTOOLS%..\IDE\devenv.*" set DEVENV="%VS80COMNTOOLS%..\IDE\devenv"
if exist "%VS90COMNTOOLS%..\IDE\devenv.*" set DEVENV="%VS90COMNTOOLS%..\IDE\devenv"

set DEVENV_OPT=/nologo /rebuild Debug
REM #    /clean

REM #                                              CONFIGURATION
REM ############################################################
echo.
echo WOSH Framework 2010
echo ===================
echo Building WOSH 3rd-party libraries.. [\lib\3rdparty]
echo.
REM ############################################################
REM #                                                      GALIB
echo  - Building GAlib.. [\lib\3rdparty\galib\ga.vcproj]
cd %ROOT%\lib\3rdparty
%DEVENV% %DEVENV_OPT% galib\ga.vcproj
cd ..\..
REM #                                                      GALIB
REM ############################################################
echo.
REM ############################################################
REM #                                                      GLOOX
echo  - Building gloox.. [\lib\3rdparty\gloox\gloox.vcproj]
cd %ROOT%\lib\3rdparty
%DEVENV% %DEVENV_OPT% gloox\gloox.vcproj
cd ..\..
REM #                                                      GLOOX
REM ############################################################
echo.




REM ############################################################
:end
echo.
echo All Done.
pause
echo.
