# QMAKE Configuration file
# Copyright (c) 2007-2010, WOSH - Wide Open Smart Home 
# by Alessandro Polo - OpenSmartHome.com
# All rights reserved.
#######################################################
# Revision $Id: bundles.pro 2251 2010-03-29 08:32:31Z alex $
#######################################################


#####################################################
# include WOSH Bundles classified as 'device'
#
!include( bundles/devices/devices.pri ) {
	message( "*****  No bundles/devices/devices.pri file found. *****" )
	message( "*****  You should define your own project file, using default. *****" )
	
	!include( bundles/devices/devices.pri.default ) {
		error( "FATAL: Project file 'bundles/devices/devices.pri.default' is missing! (misaligned distribution?)" )
	}
} 

#####################################################
# include WOSH Bundles classified as 'service'
#
!include( bundles/services/services.pri ) {
	message( "*****  No bundles/services/services.pri file found. *****" )
	message( "*****  You should define your own project file, using default. *****" )
	
	!include( bundles/services/services.pri.default ) {
		error( "FATAL: Project file 'bundles/services/services.pri.default' is missing! (misaligned distribution?)" )
	}
} 


