# QMAKE Configuration file
# Copyright (c) 2007-2010, WOSH - Wide Open Smart Home 
# by Alessandro Polo - OpenSmartHome.com
# All rights reserved.
#######################################################
# Revision $Id: widgets.pro 2806 2010-07-28 06:55:52Z alex $
#######################################################

RESOURCES += framework/gui/widgets/widgets.qrc

HEADERS += framework/gui/widgets/wCore_Message.h
SOURCES += framework/gui/widgets/wCore_Message.cpp
FORMS   += framework/gui/widgets/wCore_Message.ui
FORMS   += framework/gui/widgets/wCore_Response.ui
FORMS   += framework/gui/widgets/wCore_Request.ui
FORMS   += framework/gui/widgets/wCore_Fact.ui
FORMS   += framework/gui/widgets/wCore_SecurityToken.ui

HEADERS += framework/gui/widgets/wCore_Notification.h
SOURCES += framework/gui/widgets/wCore_Notification.cpp
FORMS   += framework/gui/widgets/wCore_Notification.ui

HEADERS += framework/gui/widgets/wCore_List.h
SOURCES += framework/gui/widgets/wCore_List.cpp

HEADERS += framework/gui/widgets/wCore_MethodsProvider.h
SOURCES += framework/gui/widgets/wCore_MethodsProvider.cpp
FORMS   += framework/gui/widgets/wCore_MethodsProvider.ui

HEADERS += framework/gui/widgets/wCore_Object.h
SOURCES += framework/gui/widgets/wCore_Object.cpp

HEADERS += framework/gui/widgets/wCore_PropertiesProvider.h
SOURCES += framework/gui/widgets/wCore_PropertiesProvider.cpp
FORMS   += framework/gui/widgets/wCore_PropertiesProvider.ui

HEADERS += framework/gui/widgets/wCore_SystemError.h
SOURCES += framework/gui/widgets/wCore_SystemError.cpp
FORMS   += framework/gui/widgets/wCore_SystemError.ui

HEADERS += framework/gui/widgets/wCore_Table.h
SOURCES += framework/gui/widgets/wCore_Table.cpp

HEADERS += framework/gui/widgets/wCore_Tree.h
SOURCES += framework/gui/widgets/wCore_Tree.cpp

HEADERS += framework/gui/widgets/wCore_URI.h
SOURCES += framework/gui/widgets/wCore_URI.cpp
FORMS   += framework/gui/widgets/wCore_URI.ui

HEADERS += framework/gui/widgets/wCore_User.h
SOURCES += framework/gui/widgets/wCore_User.cpp
FORMS   += framework/gui/widgets/wCore_User.ui

HEADERS += framework/gui/widgets/wCore_Variant.h
SOURCES += framework/gui/widgets/wCore_Variant.cpp

#######################################################

WOSH_BUILDING {
	HEADERS += framework/gui/widgets/wBuilding_BuildingGeometry.h
	SOURCES += framework/gui/widgets/wBuilding_BuildingGeometry.cpp
	FORMS   += framework/gui/widgets/wBuilding_BuildingGeometry.ui
	FORMS   += framework/gui/widgets/wBuilding_BuildingGeometry_Point3D.ui
	HEADERS += framework/gui/widgets/wBuilding_BuildingObject.h
	SOURCES += framework/gui/widgets/wBuilding_BuildingObject.cpp
	FORMS   += framework/gui/widgets/wBuilding_BuildingObject.ui
 }

WOSH_ENTERTAINMENT {
	HEADERS += framework/gui/widgets/wEntertainment.h
	SOURCES += framework/gui/widgets/wEntertainment.cpp

	FORMS   += framework/gui/widgets/wEntertainment_MediaTrack.ui
 }

WOSH_COMMUNICATION {
	HEADERS += framework/gui/widgets/wCommunication.h
	SOURCES += framework/gui/widgets/wCommunication.cpp

	FORMS   += framework/gui/widgets/wCommunication_TextMessage.ui
	FORMS   += framework/gui/widgets/wCommunication_FileMessage.ui
 }

WOSH_XTENDED {
	HEADERS += framework/gui/widgets/wXtended_WeatherInfo.h
	SOURCES += framework/gui/widgets/wXtended_WeatherInfo.cpp
	FORMS   += framework/gui/widgets/wXtended_WeatherInfo.ui
}
