# QMAKE Properties file
# Copyright (c) 2007-2010, WOSH - Wide Open Smart Home 
# by Alessandro Polo - OpenSmartHome.com
# All rights reserved.
#######################################################
# Revision $Id: persistence.qt.pro 2804 2010-07-27 04:39:07Z alex $
#######################################################

message( "WOSH - FRAMEWORK [Persistence] (Qt)" )
# inherited by CONFIG : 
DEFINES += WOSH_PERSISTENCE_QT
QT += xml

 HEADERS += framework/persistence/qt/EncoderProtocolXmlQt.h
 SOURCES += framework/persistence/qt/EncoderProtocolXmlQt.cpp

 HEADERS += framework/persistence/qt/PersistenceDbXmlQt.h
 SOURCES += framework/persistence/qt/PersistenceDbXmlQt.cpp

#######################################################

 HEADERS += framework/persistence/qt/EncodersXmlQt_Core.h
 SOURCES += framework/persistence/qt/EncodersXmlQt_Core.cpp

WOSH_AUTOMATIONS {
	HEADERS += framework/persistence/qt/EncodersXmlQt_Automations.h
	SOURCES += framework/persistence/qt/EncodersXmlQt_Automations.cpp
}

WOSH_BUILDING {
	HEADERS += framework/persistence/qt/EncodersXmlQt_Building.h
	SOURCES += framework/persistence/qt/EncodersXmlQt_Building.cpp
}

WOSH_COMMUNICATION {
	HEADERS += framework/persistence/qt/EncodersXmlQt_Communication.h
	SOURCES += framework/persistence/qt/EncodersXmlQt_Communication.cpp
}

WOSH_ENTERTAINMENT {
	HEADERS += framework/persistence/qt/EncodersXmlQt_Entertainment.h
	SOURCES += framework/persistence/qt/EncodersXmlQt_Entertainment.cpp
}

WOSH_SECURITY {
	HEADERS += framework/persistence/qt/EncodersXmlQt_Security.h
	SOURCES += framework/persistence/qt/EncodersXmlQt_Security.cpp
}

WOSH_XTENDED {
	HEADERS += framework/persistence/qt/EncodersXmlQt_Xtended.h
	SOURCES += framework/persistence/qt/EncodersXmlQt_Xtended.cpp
}

 