# QMAKE Properties file
# Copyright (c) 2007-2010, WOSH - Wide Open Smart Home 
# by Alessandro Polo - OpenSmartHome.com
# All rights reserved.
#######################################################
# Revision $Id: security.pro 2732 2010-07-06 03:18:11Z alex $
#######################################################

message( "WOSH - FRAMEWORK [Security]" )

DEFINES += WOSH_SECURITY


HEADERS += framework/security/AlarmBrain.h

HEADERS += framework/security/AlarmEngine.h
SOURCES += framework/security/AlarmEngine.cpp

HEADERS += framework/security/AlarmEvent.h

HEADERS += framework/security/AlarmListeners.h

HEADERS += framework/security/AlarmState.h

HEADERS += framework/security/AlarmTrigger.h
HEADERS += framework/security/AlarmTriggerGeneric.h
HEADERS += framework/security/AlarmTriggerPerimetral.h


#HEADERS += framework/security/AuthorizationUsbKey.h


HEADERS += framework/security/SecurityAuthentication3rdParty.h
SOURCES += framework/security/SecurityAuthentication3rdParty.cpp

HEADERS += framework/security/SecurityAuthenticationOS.h
SOURCES += framework/security/SecurityAuthenticationOS.cpp

HEADERS += framework/security/SecurityAuthenticationShell.h
SOURCES += framework/security/SecurityAuthenticationShell.cpp

