# QMAKE Configuration file
# Copyright (c) 2007-2010, WOSH - Wide Open Smart Home 
# by Alessandro Polo - OpenSmartHome.com
# All rights reserved.
#######################################################
# Revision $Id: VGettyAM.pro 1708 2010-01-26 22:28:01Z alex $
#######################################################

CONFIG += console rtti stl exceptions thread moc
QT -= gui

DEPENDPATH += .
INCLUDEPATH += . ../../../

OBJECTS_DIR = ../../../../tmp/VGettyAM


HEADERS += VGettyAMBundle.h
SOURCES += VGettyAMBundle.cpp


########################################################################
# custom building setting (will override)
!include( ../devices.pri ) {
	message( "*****  No custom build options specified. *****" )
	message( "*****  Building Bundles - Devices - VGettyAM TEST *****" )
	#CONFIG += make_app_test
} 

#CONFIG += make_lib_static
#CONFIG += make_lib_shared
#CONFIG += make_plugin
#CONFIG += make_app_test
########################################################################


########################################################################
############################################################# LIB STATIC
make_lib_static  {
	message("WOSH Framework - Bundles - Devices - VGettyAM - LIB STATIC")

	TEMPLATE = lib
	CONFIG += staticlib
	TARGET = bundleVGettyAM
	DESTDIR = ../../../../lib

}
########################################################################
############################################################# LIB SHARED
make_lib_shared {
	message("WOSH Framework - Bundles - Devices - VGettyAM - LIB SHARED")

	TEMPLATE = lib
	TARGET = bundleVGettyAM
	DESTDIR = ../../../../lib

}
########################################################################
################################################################# PLUGIN
make_plugin {
	message("WOSH Framework - Bundles - Devices - VGettyAM - PLUGIN")

	TEMPLATE = lib
	TARGET = plugin_VGettyAMBundle
	DESTDIR = ../../../../bin

	SOURCES += plugin_VGettyAMBundle.cpp

}
########################################################################
########################################################################
############################################################### APP TEST
make_app_test {
	message("WOSH Framework - Bundles - Devices - VGettyAM - APP TEST")

	TEMPLATE = app
	TARGET = test_VGettyAM
	DESTDIR = ../../../../bin

	LIBS += -L../../../../lib
	LIBS += -lcore

	HEADERS -= VGettyAMBundle.h
	SOURCES -= VGettyAMBundle.cpp

	SOURCES += test_VGettyAM.cpp

}
########################################################################
