#!/bin/sh
###############################################################################
# Revision: $Id: vgetty-ctrl.sh 1708 2010-01-26 22:28:01Z alex $
###############################################################################
# Copyright (c) 2007-2009, WOSH - Wide Open Smart Home 
# by Alessandro Polo - OpenSmartHome.com
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#     # Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     # Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     # Neither the name of the OpenSmartHome.com WOSH nor the
#       names of its contributors may be used to endorse or promote products
#       derived from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY Alessandro Polo ``AS IS'' AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL Alessandro Polo BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###############################################################################
## Script used to control vgetty process
###############################################################################
#                                                                 CONFIGURATION

VGETTY=vgetty
LOGFILE=/var/log/mgetty/vgetty-ctrl.log

COMMAND=$1
RETURN=0

###############################################################################
#                                                               BASIC FUNCTIONS
function log
 {
	TIME=`date`
	echo "$TIME : $1" >> $LOGFILE;
	#logger -p local0.crit -f $LOGFILE $1
 }

###############################################################################

# how to !???

# idea:
# switchare configurazione; 


if [ "$COMMAND" == "isenabled" ]; then
	log "Checking vgetty ProcessID"

	LINE=`ps -A | grep vgetty`
	if [ "$LINE" == "" ]; then
		exit 0
	else
		exit 1
	fi

elif [ "$COMMAND" == "enable" ]; then
	log "BUGSSS"

elif [ "$COMMAND" == "disable" ]; then
	log "Killing all vgetty processes, BUGSSS"
	killall $VGETTY

elif [ "$COMMAND" == "reboot" ]; then
	log "Killing all vgetty processes"
	killall $VGETTY

fi

log "Exiting.."

exit 0
